Skip to main content

0.01 credits per call

requestAirdrop on Solana: Requests an airdrop of lamports to an account (devnet/testnet).

Endpoint

https://rpc.goldrushdata.com/v1/solana-mainnet
Authenticate with Authorization: Bearer <GOLDRUSH_API_KEY>. See authentication.

Parameters

NameTypeRequiredDescriptionExample
addressstringyesBase-58 encoded recipient address."9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM"
lamportsu64yesNumber of lamports to airdrop.1000000000
configobjectno{commitment?}.{"commitment":"finalized"}

Returns

string: Base-58 encoded airdrop transaction signature.
"5VERv8NMvzbJMEkV8xnrLkEaWRtSz9CosKDYjCJjBRnbJLgp8uirBgmQpjKhoR4tjF3ZpRzrFmBV6UjKdiSZkQUW"

Examples

curl https://rpc.goldrushdata.com/v1/solana-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "requestAirdrop",
    "params": ["9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM", 1000000000, {"commitment":"finalized"}]
  }'

Errors

CodeMessage
-32600Airdrop request failed (not available on mainnet-beta, or rate limited).
Plus standard JSON-RPC errors: -32600 invalid request, -32601 method not found, -32602 invalid params.